      subroutine lmd_skpp_tile (Istr,Iend,Jstr,Jend, Kv,Kt,Ks,
     &                                       my_hbl, Bo,Bosol,
     &                     Gm1,dGm1dS, Gt1,dGt1dS, Gs1,dGs1dS,
     &                          Bfsfc_bl,Cr,FC,wrk1,wrk2,wrk3,
     &                                       swr_frac, my_kbl)      


      use Agrif_Util
#include "Param_BeforeCall_lmd_skpp_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      integer(4), dimension(Istr-2:Iend+2) :: my_kbl
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: Kv
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: Kt
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: Ks
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: swr_frac
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: my_hbl
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: Bo
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: Bosol
      real, dimension(Istr-2:Iend+2) :: Gm1
      real, dimension(Istr-2:Iend+2) :: dGm1dS
      real, dimension(Istr-2:Iend+2) :: Gt1
      real, dimension(Istr-2:Iend+2) :: dGt1dS
      real, dimension(Istr-2:Iend+2) :: Gs1
      real, dimension(Istr-2:Iend+2) :: dGs1dS
      real, dimension(Istr-2:Iend+2) :: Bfsfc_bl
      real, dimension(Istr-2:Iend+2,0:N) :: Cr
      real, dimension(Istr-2:Iend+2,0:N) :: FC
      real, dimension(Istr-2:Iend+2,0:N) :: wrk1
      real, dimension(Istr-2:Iend+2,0:N) :: wrk2
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: wrk3
      

        call Sub_Loop_lmd_skpp_tile(Istr,Iend,Jstr,Jend,Kv,Kt,Ks,my_hbl,
     &Bo,Bosol,Gm1,dGm1dS,Gt1,dGt1dS,Gs1,dGs1dS,Bfsfc_bl,Cr,FC,wrk1,wrk2
     &,wrk3,swr_frac,my_kbl, Agrif_tabvars_i(14)%iarray0, Agrif_tabvars_
     &i(4)%iarray0, Agrif_tabvars_i(13)%iarray0, Agrif_tabvars_i(2)%iarr
     &ay0, Agrif_tabvars(118)%array3, Agrif_tabvars(257)%array2, Agrif_t
     &abvars(258)%array2, Agrif_tabvars_i(244)%iarray2, Agrif_tabvars(77
     &)%array2, Agrif_tabvars(113)%array2, Agrif_tabvars(122)%array3, Ag
     &rif_tabvars(81)%array2, Agrif_tabvars(149)%array4, Agrif_tabvars(1
     &50)%array4, Agrif_tabvars(143)%array3, Agrif_tabvars_i(153)%iarray
     &0, Agrif_tabvars(119)%array3, Agrif_tabvars(146)%array3, Agrif_tab
     &vars(121)%array2, Agrif_tabvars(264)%array2, Agrif_tabvars(265)%ar
     &ray2, Agrif_tabvars(215)%array2, Agrif_tabvars(250)%array3, Agrif_
     &tabvars_l(13)%larray0, Agrif_tabvars_l(14)%larray0, Agrif_tabvars_
     &l(11)%larray0, Agrif_tabvars_l(12)%larray0)

      end


#include "Sub_Loop_lmd_skpp_tile.h"
